USERMOD(8)

NAZWA
usermod - zmiana danych konta użytkownika

SKŁADNIA

usermod [-c komentarz] [-d katalog_domowy [-m]]
    [-e data_ważności] [-f dni_nieaktywności]
    [-g grupa_początkowa] [-G grupa [,...]]
    [-l login_name] [-p hasło]
    [-s powłoka] [-u uid [-o]] [-L|-U] login

OPIS
Polecenie usermod zmienia systemowe pliki kont, odzwierciedlając zmiany podane w wierszu poleceń.

OPCJE
Polecenie usermod posiada następujące opcje:

-c komentarz
    Nowa wartość pola komentarza dla danego użytkownika w pliku haseł. Zwykle jest zmieniana przy pomocy narzęzia chfn(1).

-d katalog_domowy
    Nowy katalog logowania użytkownika. Jeżeli podano opcję -m, to zawartość aktualnego katalogu domowego zostanie przesunięta do nowego katalogu. Nowy katalog domowy jest tworzony jeśli nie istnieje.

-e data_ważności
    Data, od której konto danego użytkownika zostanie wyłączone. Data podawana jest w formacie MM/DD/YY.

-f dni_nieaktywności
    Liczba dni po wygaśnięciu hasła do stałego wyłączenia konta. Wartość 0 wyłącza konto natychmiast po przeterminowaniu hasła, zaś wartość -1 wyłącza tę cechę. Domyślną wartością jest -1.

-g grupa_początkowa
    Nazwa lub numer początkowej grupy logowania użytkownika. Nazwa grupy musi istnieć. Numer grupy musi odnosić się do już istniejącej grupy. Domyślnym numerem grupy jest 1.

-G grupa,[...]
    Lista dodatkowych grup, do których również należy użytkownik. Każda grupa oddzielona jest od następnej przecinkiem, bez wtrąconej spacji. Do grup odnoszą się te same ograniczenia, które obowiązują przy grupie podanej w opcji -g. Jeżeli użytkownik jest obecnie członkiem grupy, której nie podano na liście, to zostanie z niej usunięty.

-l login_name
    Nazwa użytkownika zostanie zmieniona z login na login_name. Nic więcej nie jest zmieniane. W szczególności, prawdopodobnie powinna zostać zmieniona nazwa katalogu domowego użytkownika, tak by odzwierciedlała nową nazwę użytkownika.

-L  Zablokuj hasło użytkownika. Opcja ta powoduje wstawienie '!' na początku zakodowanego hasła. Opcji tej nie można używać z opcjami -p, -U.

-o  Użyte z opcja -u umożliwia zmiane ID użytkownika na wartość nieunikalną.

-p passwd
    Zakodowane hasło w postaci zwracanej przez crypt(3). Domyślnym działaniem jest blokowanie konta.

-s powłoka
    Nazwa nowej powłoki (shell) użytkownika. Ustawienie tego pola na puste powoduje, że system wybierze domyślną powłokę logowania.

-u uid
    Numeryczna wartość identyfikatora użytkownika (user's ID). Wartość ta musi być niepowtarzalna, chyba, że użyto opcji -o. Wartość musi być nieujemna. Wartości od 0 do 999 są zwykle zarezerwowane dla kont systemowych. Wszystkim plikom posiadanym przez użytkownika, a położonym w drzewie katalogowym rozpoczynającym się od jego katalogu domowego zostanie automatycznie zmieniony identyfikator użytkownika pliku. Pliki poza katalogiem domowym użytkownika muszą zostać zmienione ręcznie.

-U  Odblokowuje hasło użytkownika. Opcja ta powoduje usuniecie '!' z początku zakodowanego hasła. Opcji tej nie można używać z opcjami -p, -L.

OSTRZEŻENIA
usermod nie pozwoli na zmianę nazwy zalogowanego użytkownika. Jeśli zmieniany jest numeryczny identyfikator użytkownika procesu, to musisz się upewnić, że w trakcie wykonywania tego polecenia użytkownik nie wykonuje żadnego procesu. Właśniciela plików crontab musisz zmienić ręcznie. Właśniciela zadań at musisz zmienić ręcznie. Jakiekolwiek zmiany dotyczące NIS musisz wykonać na serwerze NIS.

PLIKI
/etc/passwd    - informacja o kontach użytkowników
/etc/shadow    - bezpieczna informacja o kontach użytkowników
/etc/group    - informacja o grupach

ZOBACZ TAKŻE
chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), groupmod(8), useradd(8), userdel(8)

AUTOR
Julianne Frances Haugh (jockgrrl@ix.netcom.com)